[tox]
minversion = 1.6
envlist = docs
skipsdist = true

[testenv:docs]
deps = -r{toxinidir}/etc/requirements.txt
commands =
    sphinx-build -j 3 -b html -n -d {envtmpdir}/doctrees ./docs/ {toxinidir}/docs/_build/html
    echo "Generated docs available in {toxinidir}/docs/_build/html"
whitelist_externals = echo

[testenv:local]
deps = -r{toxinidir}/etc/requirements.txt
commands =
    git submodule update --depth 1 --init
    sphinx-build -j 4 -b html -n -d {envtmpdir}/doctrees ./docs/ {toxinidir}/docs/_build/html
    echo "Generated docs available in {toxinidir}/docs/_build/html"
whitelist_externals =
    echo
    git

[testenv:linkcheck]
deps = -r{toxinidir}/etc/requirements.txt
commands = sphinx-build -j 4 -b linkcheck -d {envtmpdir}/doctrees ./docs/ {toxinidir}/docs/_build/linkcheck

[testenv:spellcheck]
deps =
    -r{toxinidir}/etc/requirements.txt
    sphinxcontrib-spelling
commands = 
    sphinx-build -b spelling -Dextensions=sphinxcontrib.spelling -Dspelling_word_list_filename=validwords.txt -d {envtmpdir}/doctrees ./docs/ {toxinidir}/docs/_build/spellcheck
